import argparse
import json
import re

import fjson

parser = argparse.ArgumentParser(description="Transform to new format.")
parser.add_argument("filename", type=str)
args = parser.parse_args()

with open(args.filename) as f:
    content = json.load(f)

degree = content["degree"]
m = re.match("sommariva_(..)\\.json", args.filename)

idx = m.group(1)
if idx[0] == "0":
    idx = idx[1]


name = f"Sommariva {idx}"
data = content["data"]

dataT = list(map(list, zip(*data)))
dataT.insert(0, dataT.pop())

c = {
    "name": name,
    "domain": "C2",
    "degree": degree,
    "test_tolerance": 1.0e-100,
    "weight factor": 0.25,
    "data": {"plain": dataT},
}


with open(args.filename, "w") as f:
    fjson.dump(c, f, indent=2, float_format=".16e")
